local inst = mc.mcGetInstance() 

function loadToolData() 
	local TC_Positions = {} 
	local CSVPath = wx.wxGetCwd() .. "\\Profiles\\Mach4Router\\modules\\ToolChangePositions.csv" 
	io.input(io.open(CSVPath,"r"))  
	local line; 

	SlotNum = 1;

		for line in io.lines(CSVPath) do  
			tkz = wx.wxStringTokenizer(line, ","); 
			TC_Positions[SlotNum] = {}-- make a blank table in the positions table to hold the tool data  
			local token = tkz:GetNextToken(); 
			TC_Positions[SlotNum] ["Slot_Number"] = token; 
			TC_Positions[SlotNum] ["Tool_Number"] = tkz:GetNextToken(); 
			TC_Positions[SlotNum] ["X_Position"] = tkz:GetNextToken(); 
			TC_Positions[SlotNum] ["Y_Position"] = tkz:GetNextToken(); 
			TC_Positions[SlotNum] ["Z_Position"] = tkz:GetNextToken();
			
			TC_Positions["TotalSlots"] = SlotNum
			
			SlotNum = SlotNum + 1; 
		end 
	io.close() 
	return TC_Positions
end

function GetToolData(toolNumPar) 
	toolNumPar = tonumber(toolNumPar)
	
	local TC_Pos = {} 
	TC_Pos = loadToolData()
	local totalSlots = TC_Pos["TotalSlots"]
	
	
	for SlotNum = 1, totalSlots, 1
	do
		local toolNumber = TC_Pos[SlotNum] ["Tool_Number"]
		 toolNumber = tonumber(toolNumber)
		
		if (toolNumPar == toolNumber) then
			return TC_Pos[SlotNum] 
		end
	
	end
	return nil 
end 